Reply
Laurie
New Contributor

Citrix Receiver

What version of Mac OS is required for Citrix Receiver?

Peter
Occasional Contributor

Re: Citrix Receiver

Hi Laurie,

 

We support:

 

  • MacOS 10.12
  • Mac OS X 10.11
  • Mac OS X 10.10
  • Mac OS X 10.9

With the curent version of Citrix Reciver.